import { CollocationModule } from "..";

export const helper = CollocationModule.helper({
  findMatById(matId: string) {
    const source = this.store.designDetail.scenePack.source;
    return source?.mats?.find((element: IMaterial) => element.id == matId);
  },
  findProductById(productId: string) {
    const source = this.store.designDetail.scenePack.source;
    return source?.products?.find(
      (element: PackProduct) => element.id == productId
    );
  },
});
